RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003978USAF[All Projects] Generalpublic2018-02-11 16:282018-07-01 10:20
Reporterb00ce 
Assigned Toreyhard 
PrioritynoneSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.4.6 
Summary0003978: All RHS Helicopters Detonate While Performing Roll on Landings
DescriptionWhen attempting a roll-on landing in any RHS helicopter, not just USAF, you will explode spontaneously, unless you land absolutely perfectly straight and in trim below 80 KPH. The real-life Blackhawk can land at 60 Knots ground speed (~ 111 KPH) without breaking a sweat, and is a standard practice. This makes landing without a working tailrotor, and keeping your lunch in the process, impossible.

Below is a video demonstrating what I mean.
https://www.youtube.com/watch?v=7QL_cWLt9KY [^]

As shown in the video, the UH-80 GhostHawk performs more in-line with reality; with the exception of the tires not catching and flipping the helicopter when landing sideways, of course. I'm not sure what BIS did to achieve this, but its definitely a step in the right direction.
Steps To ReproduceFly any helicopter ~ 80 KPH (~ 43 Knots)
attempt roll on landing with perfect form
detonate

Fly any helicopter above ~ 30 KPH (~ 16 Knots)
attempt roll on landing slightly out of trim
detonate
TagsNo tags attached.
Is it a wish/request?No
Arma 3 version1.80
Did you used any other mod when the error occurred?No
Which mods?
Attached Files? file icon Arma3_x64_2018-02-11_12-52-22.rpt [^] (97,798 bytes) 2018-02-11 18:55

- Relationships

-  Notes
(0007443)
reyhard (administrator)
2018-02-11 17:13
edited on: 2018-02-11 17:16

could you provide .rpt? afm or standard flight model?

(0007444)
reyhard (administrator)
2018-02-11 17:26

for comparison - this is how my noobish attempts looks like https://www.youtube.com/watch?v=l73teIWIpXA [^]
(0007445)
b00ce (reporter)
2018-02-11 18:41
edited on: 2018-02-11 18:55

Its the standard FM, I can't stand the AFM.

Edit:
RPT uploaded

(0007446)
reyhard (administrator)
2018-02-11 20:23

ah, now i see - AFM right now has higher priority but I will see it's possible somehow to have it working in both states
(0007492)
Jester2138 (reporter)
2018-03-03 00:48
edited on: 2018-03-03 00:49

I have this problem in AFM, too.

The engine can also take full damage during a 0 ground speed landing, if you don't land *very* gently.

(0007495)
reyhard (administrator)
2018-03-03 10:25

Jester - is it happening without any 3rd party mods? Couldn't reproduce it so far in AFM at all. If you have time, please provide some video & rpt file so I could see what is going on - maybe it's some data mismatch or addon conflict since, as I presented on video, it's possible to do quite rough landings
(0007858)
reyhard (administrator)
2018-07-01 10:20

tweaked a little bit but there is an engine limitation where helicopters without retractable gear are treated as helis with skids. Ghosthawk has retractable gear and that's why it performs better when doing roll-on landing.

- Issue History
Date Modified Username Field Change
2018-02-11 16:28 b00ce New Issue
2018-02-11 16:29 b00ce Description Updated View Revisions
2018-02-11 16:29 b00ce Steps to Reproduce Updated View Revisions
2018-02-11 17:13 reyhard Note Added: 0007443
2018-02-11 17:13 reyhard Assigned To => reyhard
2018-02-11 17:13 reyhard Status new => feedback
2018-02-11 17:16 reyhard Note Edited: 0007443 View Revisions
2018-02-11 17:26 reyhard Note Added: 0007444
2018-02-11 18:41 b00ce Note Added: 0007445
2018-02-11 18:41 b00ce Status feedback => new
2018-02-11 18:54 b00ce Note Edited: 0007445 View Revisions
2018-02-11 18:55 b00ce File Added: Arma3_x64_2018-02-11_12-52-22.rpt
2018-02-11 18:55 b00ce Note Edited: 0007445 View Revisions
2018-02-11 20:22 reyhard Severity major => minor
2018-02-11 20:23 reyhard Note Added: 0007446
2018-02-11 20:23 reyhard Status new => feedback
2018-03-03 00:48 Jester2138 Note Added: 0007492
2018-03-03 00:49 Jester2138 Note Edited: 0007492 View Revisions
2018-03-03 10:25 reyhard Note Added: 0007495
2018-07-01 10:20 reyhard Note Added: 0007858
2018-07-01 10:20 reyhard Status feedback => resolved
2018-07-01 10:20 reyhard Fixed in Version => 0.4.6
2018-07-01 10:20 reyhard Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker